Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime.output
Class SAXHTMLOutput

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.runtime.output.OutputBase
            |
            +--org.apache.xalan.xsltc.runtime.output.SAXOutput
                  |
                  +--org.apache.xalan.xsltc.runtime.output.SAXHTMLOutput

public class SAXHTMLOutput
extends org.apache.xalan.xsltc.runtime.output.SAXOutput

Constructor Summary
`SAXHTMLOutput(ContentHandler handler, LexicalHandler lex, java.lang.String encoding)`
`SAXHTMLOutput(ContentHandler handler, java.lang.String encoding)`

Method Summary
`void` | `attribute(java.lang.String name, java.lang.String value)`
`void` | `characters(char[] ch, int off, int len)` Send characters to the output document
`void` | `endDocument()`
`void` | `endElement(java.lang.String elementName)` End an element or CDATA section in the output document
`void` | `startElement(java.lang.String elementName)` Start an element in the output document.

Methods inherited from class org.apache.xalan.xsltc.runtime.output.SAXOutput
`characters, comment, processingInstruction, startDocument`

Methods inherited from class org.apache.xalan.xsltc.runtime.output.OutputBase
`close, endCDATA, namespace, omitHeader, setCdataElements, setDoctype, setEscaping, setIndent, setMediaType, setStandalone, setType, setVersion, startCDATA`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXHTMLOutput

    public SAXHTMLOutput(ContentHandler handler,
                         java.lang.String encoding)
                  throws java.io.IOException

### SAXHTMLOutput

    public SAXHTMLOutput(ContentHandler handler,
                         LexicalHandler lex,
                         java.lang.String encoding)
                  throws java.io.IOException

Method Detail

### endDocument

    public void endDocument()
                     throws TransletException

### startElement

    public void startElement(java.lang.String elementName)
                      throws TransletException

  Start an element in the output document. This might be an XML element (data type) or a CDATA section.

### endElement

    public void endElement(java.lang.String elementName)
                    throws TransletException

  End an element or CDATA section in the output document

### attribute

    public void attribute(java.lang.String name,
                          java.lang.String value)
                   throws TransletException

### characters

    public void characters(char[] ch,
                           int off,
                           int len)
                    throws TransletException

  Send characters to the output document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.